/*******************************************************************************
* File Name: isrReceive.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrReceive_H)
#define CY_ISR_isrReceive_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrReceive_Start(void);
void isrReceive_StartEx(cyisraddress address);
void isrReceive_Stop(void);

CY_ISR_PROTO(isrReceive_Interrupt);

void isrReceive_SetVector(cyisraddress address);
cyisraddress isrReceive_GetVector(void);

void isrReceive_SetPriority(uint8 priority);
uint8 isrReceive_GetPriority(void);

void isrReceive_Enable(void);
uint8 isrReceive_GetState(void);
void isrReceive_Disable(void);

void isrReceive_SetPending(void);
void isrReceive_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrReceive ISR. */
#define isrReceive_INTC_VECTOR            ((reg32 *) isrReceive__INTC_VECT)

/* Address of the isrReceive ISR priority. */
#define isrReceive_INTC_PRIOR             ((reg8 *) isrReceive__INTC_PRIOR_REG)

/* Priority of the isrReceive interrupt. */
#define isrReceive_INTC_PRIOR_NUMBER      isrReceive__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrReceive interrupt. */
#define isrReceive_INTC_SET_EN            ((reg32 *) isrReceive__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrReceive interrupt. */
#define isrReceive_INTC_CLR_EN            ((reg32 *) isrReceive__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrReceive interrupt state to pending. */
#define isrReceive_INTC_SET_PD            ((reg32 *) isrReceive__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrReceive interrupt. */
#define isrReceive_INTC_CLR_PD            ((reg32 *) isrReceive__INTC_CLR_PD_REG)


#endif /* CY_ISR_isrReceive_H */


/* [] END OF FILE */
